unit Options;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TOptionsForm = class(TForm)
    OptionsPanel: TPanel;
    POLbl: TLabel;
    BitBtn1: TBitBtn;
    IndivVaryCheckBox: TCheckBox;
    BarrierCheckBox: TCheckBox;
    IndivVaryLabel: TLabel;
    BarrierLbl: TLabel;
    StPaulCheckBox: TCheckBox;
    StPaulLbl: TLabel;
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  OptionsForm: TOptionsForm;

implementation

{$R *.DFM}

uses Main;

procedure TFormCreate(Sender: TObject);
begin
  with OptionsForm do
  begin
    if StPaulFactor = true then StPaulCheckBox.State := cbChecked
                        else StPaulCheckBox.State := cbUnchecked;
    if IndivVary = true then IndivVaryCheckBox.State := cbChecked
                        else IndivVaryCheckBox.State := cbUnchecked;
    if TreatAsBarrier = true then BarrierCheckBox.State := cbChecked
                             else BarrierCheckBox.State := cbUnchecked;
  end; {with}
end;
procedure TOptionsForm.BitBtn1Click(Sender: TObject);
begin
  with OptionsForm do
  begin
    if StPaulCheckBox.State = cbChecked then StPaulFactor := true
                                           else StPaulFactor := false;
    if BarrierCheckBox.State = cbChecked then TreatAsBarrier := true
                                           else TreatAsBarrier := false;
    if IndivVaryCheckBox.State = cbChecked then IndivVary := true
                                           else IndivVary := false;
  end; {with}
  Close;
end;





end.
